QGIS Application - Bug report #20556
processing doesn't output a shapefile's encoding
2018-11-19 11:39 PM - Tobias Wendorff

Status: Feedback

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:3.5(master) Regression?: No
Operating System: Microsoft Windows (any) Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 28376
Description

The tools in "processing", like "split vector layer" don't write any information about encoding of shapefiles.

Postprocessing the files is very hard because you either have to know where they come from and which charset they might be in.

Related issues:
Related to QGIS Application - Bug report # 20614: Problem with encoding when ... Closed 2018-11-23

History

#1 - 2018-11-19 11:58 PM - Tobias Wendorff

- Subject changed from processing doesn't output encoding for shapefiles to processing doesn't tell about shapefile's encoding

#2 - 2018-11-19 11:58 PM - Tobias Wendorff

- Subject changed from processing doesn't tell about shapefile's encoding to processing doesn't tell output shapefile's encoding

#3 - 2018-11-19 11:58 PM - Tobias Wendorff

- Subject changed from processing doesn't tell output shapefile's encoding to processing doesn't output a shapefile's encoding
#4 - 2018-11-20 11:57 AM - Giovanni Manghi

- Category changed from Unknown to Processing/Core
- Status changed from Open to Feedback

If I'm not wrong this is change compared to 2.18, correct?

#5 - 2019-01-22 01:41 PM - Alexander Bruy

- Related to Bug report #20614: Problem with encoding when using GRASS (v.generalize) through QGIS added

#6 - 2019-03-09 05:18 PM - Giovanni Manghi

Just made a test on 3.6 and seems good to me. Please check again.
